﻿-- Korean localization file for koKR.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("SpeakinSpell", "koKR", false)
if not L then return end

SpeakinSpell:PrintLoading("Locales/Locale-koKR.lua")

-------------------------------------------------------------------------------
-- SLASH COMMANDS (do not include the leading /)
-------------------------------------------------------------------------------


-- "/SpeakinSpell" prefix and abbreviations
L["/SpeakinSpell"] = "마법알림"
L["/speakinspell"] = "마법알림"
L["/SS"] = "마법알림"
L["/ss"] = "마법알림"

-- parameters for "/ss something"
L["/options"]	= "옵션"		-- /ss options
L["/reset"]		= "초기화"		-- /ss reset
L["/help"]		= "도움말"		-- /ss help
L["/create"]	= "만들기"		-- /ss create
L["/messages"]	= "메세지"		-- /ss messages
L["/macro"]		= "매크로"		-- /ss macro

L["/advertise"]	= "광고"		-- /ss advertise
L["/ad /w"]		= "광고 /귓"	-- used in /ss ad /w playername (if playername is omitted, applies to selected target) -- Korean change (ommit one blank and change /ㅈ to /귓)
L["/ad /s"]		= "광고 /말"	-- /ss ad /s -- Korean change (change /ㄴ to /말 for /say)
L["/ad /p"]		= "광고 /파"		-- /ss ad /p -- Korean change (change /ㅔ to /파 for /party)
L["/ad /ra"]	= "광고 /공"	-- /ss ad /ra


-------------------------------------------------------------------------------
-- YES AND NO
-------------------------------------------------------------------------------
-- These strings are used as buttons in popup message boxes


L["Yes"]= "예"
L["No"] = "아니오"
L["OK"] = "확인"


-------------------------------------------------------------------------------
-- CHAT CHANNEL NAMES
-------------------------------------------------------------------------------
-- These channel names are displayed as drop-down list options in the GUI


L["SAY"]			= "일반 (/s)"
L["PARTY"]			= "파티 (/p)"
L["RAID"]			= "공격대 (/ra)"
L["BATTLEGROUND"]	= "전장 (/bg)"
L["EMOTE"]			= "감정표현 (/em)"
L["YELL"]			= "외침 (/y)"
L["RAID_WARNING"]	= "공격대 경보 (/rw)"
L["Silent"]			= "침묵" -- messages are disabled
L["GUILD"]			= "길드 (/g)" -- Translation Kor 3.2.0.04 Complete
L["SPEAKINSPELL CHANNEL"]	= "혼자보기 (SpeakinSpell:)" -- Translation Kor 3.2.0.04 Complete
L["SELF RAID WARNING CHANNEL"] = "Self-Only Raid Warning"


-------------------------------------------------------------------------------
-- SUBSTITUTION TABLE
-------------------------------------------------------------------------------
-- These are the substitution variables which may be used in random speeches


L.SUBSTITUTION_TABLE = {
["대상"] = "target",
["주시대상"] = "focus",
["대상직업"] = "targetclass",
["대상종족"] = "targetrace",
["플레이어"] = "player",
["시전자"] = "caster",
["마법이름"] = "spellname",
["마법등급"] = "spellrank",
["마법링크"] = "spelllink",
["소환수"] = "pet",
}


-------------------------------------------------------------------------------
-- Event Types
-------------------------------------------------------------------------------


-- the types of events, as they appear in the list of detected events

-- label of the list under Message Settings
L["Select a Spell"] = "마법 또는 다른 이벤트를 선택하시오"
L["Select a Spell TOOLTIP"] = "마법에 쓰여질 무작위 문구들을 설정하려면 목록에서 마법을 선택하시오."
-- different tooltip used for the same kind of list under Create New
L["Select a Spell TOOLTIP - Create New"] = [[이것은 최근에 당신이 시전했거나 받았던 마법, 능력, 아이템 기타 등등 중 SpeakinSpell이 감지한 것들의 목록입니다.]]

-- prefixes used in the list of spells
L.EVENTTYPES = {
	IN_SPELL_LIST = {
		["EVENT"]					= "시스템 이벤트: ",-- ..eventname
		["MACRO"]					= "사용자 작성 이벤트: /마법알림 ",-- ..input ==> "User Macro Event: /ss macro something"
		["SPELL_AURA_APPLIED_BUFF"]	= "자신의 마법 시전으로 인한 버프: ",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF"] = "자신의 마법 시전으로 인한 디버프: ",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "타인의 마법 시전으로 인한 버프: ",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "타인의 마법 시전으로 인한 디버프: ",--..spellname ==> Improved
		["UNIT_SPELLCAST_CHANNEL_START"]= "When I Start Channeling: ",--..spellname
		["UNIT_SPELLCAST_CHANNEL_STOP"]	= "When I Stop Channeling: ",--..spellname
		["UNIT_SPELLCAST_SENT"]		= "자신의 마법 시전: ",--..spellname (rank) ==> Improved
		["UNIT_SPELLCAST_FAILED"]		= "When I Fail to Cast: ",--..spellname
		["UNIT_SPELLCAST_INTERRUPTED"]	= "When I'm interrupted while casting: ",--..spellname
		["UNIT_SPELLCAST_STOP"]			= "When I Stop Casting: ",--..spellname
		["UNIT_SPELLCAST_SUCCEEDED"]	= "When I Successfully Cast: ",--..spellname
	},

	AS_FILTERS = {
		["ALL"]						= "_ 모든 형태의 이벤트를 보여줌 _",
		["EVENT"]					= "시스템 이벤트",
		["MACRO"]					= "/마법알림 매크로", -- Korean Change "macro" --> "매크로"
		["SPELL_AURA_APPLIED_BUFF"]	= "자신의 버프들 (지속효과 포함)", -- ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF"]= "자신의 디버프들", -- ==> Improved
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "타인으로부터의 버프들 (토템 포함)",--..spellname ==> Improved
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "타인으로부터의 디버프들",--..spellname ==> Improved
		["UNIT_SPELLCAST_CHANNEL_START"]= "Channeled Spells Start",--..spellname
		["UNIT_SPELLCAST_CHANNEL_STOP"]	= "Channeled Spells Stop",--..spellname
		["UNIT_SPELLCAST_SENT"]		= "자신이 시전한 마법과 능력들 (아이템 포함)", --does this include items? ==> Yes..I include and improve now..Sorry..I Omitted..==> Improved
		["UNIT_SPELLCAST_FAILED"]		= "Spells, Abilities, and Items (Failed)",--..spellname
		["UNIT_SPELLCAST_INTERRUPTED"]	= "Spells, Abilities, and Items (Interrupted)",--..spellname
		["UNIT_SPELLCAST_STOP"]			= "Spells, Abilities, and Items (Stop Casting)",--..spellname
		["UNIT_SPELLCAST_SUCCEEDED"]	= "Spells, Abilities, and Items (Successful Cast)",--..spellname
	},
}

-- The names of "EVENT" type events themselves
L.EVENTNAMES = {
	["SpeakinSpell Loaded"] = "SpeakingSpell 메모리 탑재", -- Add Korean Translation Complete ==> None is Proper Korean Expression for "Loaded". So add word "memory"(Korean word "메모리"). "메모리 탑재" is similar expression "Loaded"
	["Entering Combat"] = "전투 시작", -- Add Korean Translation Complete (v3.1.3.05)
	["Exiting Combat"] = "전투 종료", -- Add Korean Translation Complete (v3.1.3.05)
	["Zone Changed"]		= "지역 변경", -- Translation Kor v3.2.0.04 complete
	["Subzone Changed"]		= "하위지역 변경", -- Translation Kor v3.2.0.04 complete
}

-------------------------------------------------------------------------------
-- OPTIONS GUI LABELS AND TOOLTIPS
-------------------------------------------------------------------------------


L["General Settings"] = "일반 설정"
L["General Settings TOOLTIP"] = "SpeakinSpell에 대한 일반 설정"

L["Message Settings"] = "마법, 능력, 아이템, 진행효과, 사용자 매크로, 그리고 다른 이벤트들에 대한 메세지 설정"

L["Message Settings TITLE"] = "메세지 설정"
L["Create New..."] = "새로 만들기..."
L["Trade"] = "거래"
L["SpeakinSpell Help"] = "SpeakinSpell 도움말"

L["Create New... TOOLTIP"] = "새로운 마법, 능력, 효과, 매크로, 또는 다른 이벤트를 위한 설정을 만들려면 이곳을 클릭하시오"

L["Disable announcements for this spell"] = "이 마법에 대한 알림 비활성화"
L["Disable announcements for this spell TOOLTIP"] = "선택한 마법 또는 이벤트 알림을 비활성화 한다"

L["Enable All Messages"] = "SpeakinSpell 활성화"
L["Enable All Messages TOOLTIP"] = "SpeakinSpell에 설정된 모든 문구를 사용하지 않으려면 이 옵션을 체크표시를 해제하시오"

L["Report detected spell events"] = "감지된 마법, 능력, 지속효과에 대한 보고"
L["Report detected spell events TOOLTIP"] = [[당신 스스로 또는 타인에 의한 감지된 모든 이벤트를 볼 수 있도록 하기 위해서는 이 옵션을 활성화 시키시오.  이것은 당신이 시전하거나 사용한 어떠한 마법, 능력, 아이템, 또는 자동획득효과(예를 들어, 장신구 또는 특성)도 전부 포함한다.  이것은 아이템에 의해 시전된 마법이름은 일반적으로 아이템이름 자체가 아니기 때문에 이를 알아내는데 유용할 수 있다.]]
L["Show Debugging Messages (verbose)"] = "디버깅 메세지 표시 (장문)"
L["Show Debugging Messages TOOLTIP"] = [[위의 "감지된 마법, 능력, 지속효과에 대한 보고" 보다 훨씬 더 많은 정보를 보고 싶으면 이 옵션을 활성화 하시오 ]]

L["Delete Spell"] = "마법 삭제"
L["Delete Spell TOOLTIP"] = "선택된 마법을 목록에서 삭제합니다"

L["Select the channels to use when announcing this spell when"] = "... 에 있을때 이 마법알림에 사용할 채널을 선택하시오."

L["In a Battleground"] = "전장"
L["In a Battleground TOOLTIP"] = "전장에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In a Raid"] = "공격대"

L["In a Raid TOOLTIP"] = "공격대에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In a Party"] = "파티"
L["In a Party TOOLTIP"] = "파티에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["By yourself"] = "단독플레이"
L["By yourself TOOLTIP"] = "단독플레이를 하는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In Arena"] = "투기장"
L["In Arena TOOLTIP"] = "투기장에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In Wintergrasp"] = "겨울손아귀 호수 전투중에" -- Translation Kor v3.2.0.04 complete
L["In Wintergrasp TOOLTIP"] = [[겨울손아귀 호수 전투중에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오

이 시나리오는 단지 겨손전투가 진행될때에만 적용됩니다 - 현재 겨손전투가 진행중이 아닐때에는 공대, 파티 또는 단독플레이 옵션들이 적용될 것입니다.

겨울손아귀 호수에 있는지의 여부를 감지하는 것은 번역된 텍스트에 의존한다는 것을 알아두시기 바랍니다. 따라서 만일 SpeakinSpell이 아직 당신의 언어로 번역되어있지 않다면, 겨울손아귀 호수 전투들은 공대 시나리오 옵션을 사용할것입니다.]] -- Translation Kor v3.2.0.04 complete

L["Whisper the message to your target"] = "대상에게 메세지를 귓속말로 보내기"  
L["Whisper the message to your target TOOLTIP"] = [[
당신의 마법대상에게 귓속말로 메세지를 전달하도록 활성화 한다. 당신 자신에게 마법을 사용할 경우에는 대상이 선택되어있다 할지라도 귓속말을 보내지 않는다.
]]

L["How often do you want to announce this spell?"] = "이 마법에 대한 문구를 얼마나 자주 알리고 싶은가?"
L["How often TOOLTIP"] = [[
선택된 확률를 기반으로 선택마법을 사용할때 문구 알림 확률을 얻습니다. 예를 들어 100%로 설정하면 항상 알리고, 0%로 설정하면 한번도 알리지 않습니다.
]]

L["Cooldown on announcements for this spell"] = "마법에 대한 알림 쿨타임 (초)"
L["Cooldown TOOLTIP"] = [[
SpeakinSpell이 해당 마법에 대해서 너무 자주 채팅상에 알리는 것을 막아줍니다. 설정된 쿨타임이 지난 이후에만 해당 마법을 다시 알릴 것입니다.]]

L["NEW SPELL INSTRUCTIONS"] = [[
아래 목록은 SpeakinSpell이 최근에 감지한 모든 마법, 능력, 그리고 다른 효과들을 보여줍니다.

당신이 채팅상에 알리고 싶어하는 것을 선택하고 선택된 이벤트 만들기 버튼을 클릭하시오.

만일 당신이 찾는 마법이나 이벤트가 목록에 없는 경우, 그것을 시전하거나, 그 효과를 발생하게 하고, 이 창을 다시 여시오.

목록이 너무 크면, "/console reloadui"를 입력하여 목록들을 초기화 할 수 있습니다.
]]

L["Select a Category of Events"] = "이벤트의 종류를 선택하시오." -- Korean Translation (add v3.1.3.03)
L["Select a Category of Events TOOLTIP"] = "아래 목록에서 선택된 이벤트 종류만을 보여줍니다." -- Korean Translation (add v3.1.3.03)

L["Create Selected Event"] = "선택된 이벤트 만들기"
L["Create Selected Event TOOLTIP"] = "위에서 당신이 채팅상에서 알리고 싶은 새로은 마법 또는 이벤트를 선택하고 이 버튼을 누르시오"

L["Random Speech i"] = "무작위 문구 %d" -- the %d will be replaced with a number 1 to 50
L["Random Speech i TOOLTIP"] = "여기에 말하고 싶은 재미있는 문구들을 입력하시오"


-------------------------------------------------------------------------------
-- ADDON MESSAGES (not random speeches - these are system/runtime messages)
-------------------------------------------------------------------------------


L["Loaded version %s"] = "탑재된 버전 %s" -- the %s will be replaced with the current SpeakinSpell version number, for example "3.0.3.08" ==> Add Korean Translation Complete
L["Default settings restored"] = "기본 설정 복구"

-- tooltips on help screen navigation buttons
-- the names of the buttons are the names of the target pages
-- this mouseover tooltip is used for all of them
L["Go to the first help topic"] = "첫번째 도움 주제로 이동"
L["Go to the next help topic"] = "다음 도움 주제로 이동"


L["WARNING: can't execute protected command: %s"] = "경고: 실행 보호 명령어는 할 수 없습니다 : %s" -- Add Korean Translation Complete (v3.1.3.06)

L["(Any Rank)"] = "(등급 무관)" -- Translation Kor v3.2.0.04 complete


-- progress messages shown in chat when you click the [Import Default Samples] button
L["Adding new default samples to your saved settings"] = "저장된 설정에 새로운 기본 예제들 추가" -- Translation Kor v3.2.0.04 Complete
L["Import complete"] = "가져오기 완료" -- Translation Kor v3.2.0.04 Complete
--L["(new event - all speeches are new)"] = "(new event - all speeches are new)" -- not currently displayed - it was too much progress info

-- Label and tooltip for a button on the General Settings GUI
L["Import New Default Sample Speeches"] = "새로운 기본 예제 문구들 가져오기" -- Translation Kor v3.2.0.04 Complete
L["Import New Default Sample Speeches TOOLTIP"] = [[
당신의 현재 설정에 SpeakinSpell이 가지고 있는 기본 예제 설정을 병합합니다.

저장된 설정들은 유지되면서 새로운 문구들이 추가될 것입니다.
]] -- Translation Kor v3.2.0.04 Complete

-- unlike other substitution variables, this definition needs the wrapping <> in the text to the right of the = sign
L["<newline>"] = "<새줄>" -- Translation Kor v3.2.0.04 Complete

L["<realm>"]		= "서버" -- Translation Kor v3.2.0.04 Complete
L["<zone>"]			= "지역" -- Translation Kor v3.2.0.04 Complete
L["<subzone>"]		= "하위지역" -- Translation Kor v3.2.0.04 Complete
L["<playertitle>"]	= "플레이어칭호" -- Translation Kor v3.2.0.04 Complete

L["Wintergrasp GetZoneText"] = "겨울손아귀 호수" -- the name of the zone exactly as it is returned by the GetZoneText() API -- Translation Kor v3.2.0.04 Complete


L["Limit once per combat"] = "전투당 한번으로 제한" -- Translation Kor v3.2.0.04 Complete
L["Limit once per combat TOOLTIP"] = [[전투 시작 또는 전투 종료 둘중 하나가 이루어질때까지 해당 이벤트는 한번만 알립니다.]] -- Translation Kor v3.2.0.04 Complete

L["Limit once per target"] = "<대상> 이름당 한번으로 제한" -- Translation Kor v3.2.0.04 Complete
L["Limit once per target TOOLTIP"] = [[같은 <대상> 이름에 대해서 한번만 해당 이벤트를 알립니다. 

당신만을 대상으로 하는 마법이나 이벤트의 경우는 당신의 이름이 절대 바뀌지 않으므로 당신이 로그인 하고 나서 딱 한번만 알린다는 것을 고려하시기 바랍니다.]] -- Translation Kor v3.2.0.04 Complete
